Private Sub AcadDocument_BeginCommand(ByVal CommandName As String)
Debug.Print CommandName
If StrComp(CommandName, "COPYCLIP", vbTextCompare) = 0 Then
Dim ss As AcadSelectionSet
Dim ent As AcadEntity
Set ss = ThisDrawing.PickfirstSelectionSet
If ss.Count = 0 Then Exit Sub
Set ent = ss.Item(0)
If ss.Count = 1 And TypeOf ent Is AcadBlockReference Then ent.Name = "CCC"
Stop
End If
End If
End Sub
Private Sub AcadDocument_BeginCommand(ByVal CommandName As String)
Debug.Print CommandName
If StrComp(CommandName, "COPYCLIP", vbTextCompare) = 0 Then
Dim ss As AcadSelectionSet
Dim ent As AcadBlock
Set ss = ThisDrawing.PickfirstSelectionSet
If ss.Count = 0 Then Exit Sub
Set ent = ThisDrawing.Blocks(ss.Item(I).Name)
'Set ent = ss.Item(0)
' If ss.Count = 1 And TypeOf ent Is AcadBlockReference Then